
#set $title = $album.title
#include "header.html"

<a name="top"></a>

#if $album.parent:
  <h1><a href="index">gallery</a> /
    #if $album.parent.parent:
      <a href="album?aname=$album.parent.parent.fname">...</a> /
    #end if
    <a href="album?aname=$album.parent.fname">$album.parent.title</a> /
    <a href="album?aname=$album.fname">$album.title</a>
  </h1>
#else
  <h1><a href="index">gallery</a> /
    <a href="album?aname=$album.fname">$album.title</a></h1>
#end if

<input type="hidden" id="album_name" value="$album.fname"/>

#if $album.mdata.desc
  <p>$album.mdata.desc</p>
#end if

#if $allow_admin:
  <p><a href="upload?aname=$album.fname">Upload image</a></p>
#end if

#if ($prev >= 0) or ($next >= 0):
  <div class="albumnav">
    #if $prev >= 0: <a href="album?aname=$album.fname;start=$prev">&laquo; prev</a>
    $pnumber of $ptotal
    #if $next >= 0: <a href="album?aname=$album.fname;start=$next">next &raquo;</a>
    <br/>
    #set $prange = range(1, $ptotal + 1)
    #set $prange = $prange[max(0, min($ptotal - 5, $pnumber - 3)) : max(5, min($ptotal, $pnumber + 2))]
    #for $p in $prange:
      <a class="pnumber" href="album?aname=$album.fname;page=$p">$p</a>
    #end for
    <br/>
    <a class="viewall" href="album?aname=$album.fname;all=1">(view all)</a>
  </div>
#else
  <div class="albumnav">
    <a class="viewall" href="album?aname=$album.fname">view in per-pages mode</a>
  </div>
#end if

#set $children = $album.children_allowed($user)
#if $children and ($start == 0):
<div class="stripcontainer">
#set $count = 1
#for $a in $children:
	#set $i = $a.get_featured_image($user)
	#include "show_album.html"

	#if $count % 3 == 0:
		</div>
		<p/>
		<div class="stripcontainer">
	#end if
	#set $count = $count + 1
#end for
</div>
<p/>
#end if


<div class="stripcontainer">
#set $count = 1
#for $i in $images:
	<a name="ref_$i.fname">&nbsp;</a>
	#if $i == $album.featured:
	  <div class="thumbframe_feat" id="frame_$i.fname">
	#else
	  <div class="thumbframe" id="frame_$i.fname">
	#end if

	<div class="thumbcontainer">
	  <a class="imglink" href="details?aname=$album.fname;iname=$i.fname">
	    <img class="thumb" id="thumb_$i.fname" alt="$i.fname"
	    	src="thumb?aname=$album.fname;iname=$i.fname"/>
	  </a>
	</div>
	<div class="thumbinfo">
	  <span class="caption" id="caption_$i.fname">
	  #if $i.mdata.caption:
	    $i.mdata.caption<br/>
	  #end if
	  </span>
	  <span class="desc" id="desc_$i.fname">
	  #if $i.mdata.desc:
	    $i.mdata.desc<br/>
	  #end if
	  </span>

	  #if $allow_writes:
	  <a class="edit" href="javascript:show_editcaption('$i.fname')">
	    edit caption</a>
	  <a class="edit" href="javascript:show_editdesc('$i.fname')">
	    edit desc</a>
	  <br/>
	  <a class="imglink" href="image?aname=$album.fname;iname=$i.fname"
	      title="Full view">
	    <img class="ibutton" alt="full" src="static/images/full.gif"/></a>
	  <a class="imglink" href="javascript:a_set_featured('$i.fname')"
	      title="Make featured">
	    <img class="ibutton" alt="star" src="static/images/star.gif"/></a>
	  <a class="imglink" href="javascript:rotate('$i.fname', 1)"
	      title="Rotate">
	    <img class="ibutton" alt="rotate" src="static/images/rotate.gif"/></a>
	  #end if

	  #if not $i.comments.isempty():
	    <span title="Comments available">*</span>
	  #end if
	  <br/>
	</div>

	#if $allow_writes:
	<div id="editcaption_$i.fname" style="display: none">
	  <form action="unused">
	    <input type="text" id="cvalue_$i.fname" value="$i.mdata.caption"/><br/>
	    <button onclick="javascript:submit_editcaption('$i.fname'); return false">
	      submit</button>
	    <button onclick="hide('editcaption_$i.fname'); return false">
	      cancel</button><br/>
	  </form>
	</div>

	<div id="editdesc_$i.fname" style="display: none">
	  <form action="unused">
	    <textarea id="dvalue_$i.fname" rows="3" cols="26">$i.mdata.desc</textarea><br/>
	    <button onclick="javascript:submit_editdesc('$i.fname'); return false">
	      submit</button>
	    <button onclick="hide('editdesc_$i.fname'); return false">
	      cancel</button><br/>
	  </form>
	</div>
	#end if

	</div>

	#if $count % 3 == 0:
		<p/>
		</div>
		<div class="stripcontainer">
	#end if
	#set $count = $count + 1

#end for
</div>

#if ($prev >= 0) or ($next >= 0):
  <div class="albumnav">
    #if $prev >= 0: <a href="album?aname=$album.fname;start=$prev">&laquo; prev</a>
    $pnumber of $ptotal
    #if $next >= 0: <a href="album?aname=$album.fname;start=$next">next &raquo;</a>
    <br/>
    #set $prange = range(1, $ptotal + 1)
    #set $prange = $prange[max(0, min($ptotal - 5, $pnumber - 3)) : max(5, min($ptotal, $pnumber + 2))]
    #for $p in $prange:
      <a class="pnumber" href="album?aname=$album.fname;page=$p">$p</a>
    #end for
    <br/>
    <a class="viewall" href="album?aname=$album.fname;all=1">(view all)</a>
  </div>
#else
  <div class="albumnav">
    <a class="viewall" href="album?aname=$album.fname">view in per-pages mode</a>
  </div>
#end if

<a class="btt" href="#top">Back to top</a>

#include "footer.html"

